AWS IoT Device SDK C++ v2: Aws::Crt::Auth::CredentialsProviderX509Config Struct Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Auth::CredentialsProviderX509Config Struct Reference

`#include <Credentials.h>`

## Public Member Functions
| CredentialsProviderX509Config ()

## Public Attributes
Io::ClientBootstrap * | Bootstrap
Io::TlsConnectionOptions | TlsOptions
String | ThingName
String | RoleAlias
String | Endpoint
Optional< Http::HttpClientConnectionProxyOptions > | ProxyOptions

## Detailed Description

Configuration options for the X509 credentials provider

## Constructor & Destructor Documentation

## ◆ CredentialsProviderX509Config()

Aws::Crt::Auth::CredentialsProviderX509Config::CredentialsProviderX509Config | ( |  | ) |
| inline

## Member Data Documentation

## ◆ Bootstrap

Io::ClientBootstrap* Aws::Crt::Auth::CredentialsProviderX509Config::Bootstrap

Connection bootstrap to use to create the http connection required to query credentials from the x509 provider

## ◆ Endpoint

String Aws::Crt::Auth::CredentialsProviderX509Config::Endpoint

AWS account specific endpoint that can be acquired using AWS CLI following instructions from the demo example: c2sakl5huz0afv.credentials.iot.us-east-1.amazonaws.com

This a different endpoint than the IoT data mqtt broker endpoint.

## ◆ ProxyOptions

Optional<Http::HttpClientConnectionProxyOptions> Aws::Crt::Auth::CredentialsProviderX509Config::ProxyOptions

(Optional) Http proxy configuration for the http request that fetches credentials

## ◆ RoleAlias

String Aws::Crt::Auth::CredentialsProviderX509Config::RoleAlias

## ◆ ThingName

String Aws::Crt::Auth::CredentialsProviderX509Config::ThingName

## ◆ TlsOptions

Io::TlsConnectionOptions Aws::Crt::Auth::CredentialsProviderX509Config::TlsOptions

The documentation for this struct was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/auth/Credentials.h